Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf.extractor
Class HPSFPropertiesExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.hpsf.extractor.HPSFPropertiesExtractor

    public class HPSFPropertiesExtractor

extends POITextExtractor

Extracts all of the HPSF properties, both build in and custom, returning them in textual form.

Constructor Summary
`HPSFPropertiesExtractor(NPOIFSFileSystem fs)`
`HPSFPropertiesExtractor(POIDocument doc)`
`HPSFPropertiesExtractor(POIFSFileSystem fs)`
`HPSFPropertiesExtractor(POITextExtractor mainExtractor)`

Method Summary
`java.lang.String` | `getDocumentSummaryInformationText()`
`POITextExtractor` | `getMetadataTextExtractor()` Prevent recursion!
`java.lang.String` | `getSummaryInformationText()`
`java.lang.String` | `getText()` Retrieves all the text from the document.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HPSFPropertiesExtractor

    public HPSFPropertiesExtractor(POITextExtractor mainExtractor)

### HPSFPropertiesExtractor

    public HPSFPropertiesExtractor(POIDocument doc)

### HPSFPropertiesExtractor

    public HPSFPropertiesExtractor(POIFSFileSystem fs)

### HPSFPropertiesExtractor

    public HPSFPropertiesExtractor(NPOIFSFileSystem fs)

Method Detail

### getDocumentSummaryInformationText

    public java.lang.String getDocumentSummaryInformationText()

### getSummaryInformationText

    public java.lang.String getSummaryInformationText()

### getText

    public java.lang.String getText()

  Description copied from class: `POITextExtractor`
  Retrieves all the text from the document. How cells, paragraphs etc are separated in the text is implementation specific - see the javadocs for a specific project for details.

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    the text of all the properties defined in the document.

### getMetadataTextExtractor

    public POITextExtractor getMetadataTextExtractor()

  Prevent recursion!

  Specified by:
    `getMetadataTextExtractor` in class `POITextExtractor`

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD